Bug 1881451 - Review Request: perl-libwww-perl - A Perl interface to the World-Wide Web
Summary: Review Request: perl-libwww-perl - A Perl interface to the World-Wide Web
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: Module Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1496491
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 12:15 UTC by Petr Pisar
Modified: 2020-10-09 16:13 UTC (History)
6 users (show)

Fixed In Version: perl-libwww-perl-6.48-3420200930081804.c075dfaa perl-libwww-perl-6.48-3420200930081804.93f36231
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-09 16:13:21 UTC
Type: Bug
jplesnik: fedora-review+
emmanuel: needinfo+
nb: needinfo+


Attachments (Terms of Use)

Description Petr Pisar 2020-09-22 12:15:25 UTC
Modulemd URL: https://ppisar.fedorapeople.org/modulemds/perl-libwww-perl.yaml
Description:

The libwww-perl collection is a set of Perl modules which provide
a simple and consistent application programming interface to the
World-Wide Web. The main focus of the library is to provide classes
and functions that enable you to write WWW clients. The library also
contains modules that are of more general use and even classes that
help you implement simple HTTP servers. LWP::Protocol::https adds
a support for an HTTPS protocol.

Fedora Account System Username: ppisar

An explanation for the modular dependencies: This module is intentionally only kept for platform:f34, because it's a multicontext stream (i.e. for multiple perls, like perl:5.30 and perl:5.32) and DNF does not properly support adding and removing contexts now (e.g. when adding perl:5.34 later, or removing support for perl:5.30). DNF team promised a fix in Fedora 34.

Also you won't be able to properly build this module locally because of a bug #1875778 in module-build-service-2.32.0-1.

Comment 1 Petr Pisar 2020-09-22 12:25:45 UTC
According to the packaging guidelines, a module owner has to have an access to all components of the module. Please grant me (ppisar) an admin (or commit) permission to these components:

eseyman: perl-Test-Needs.
nb: perl-NTLM.
pghmcfc: perl-B-COW, perl-Test-Fatal.
spot: perl-Clone.

Comment 2 Emmanuel Seyman 2020-09-22 12:50:37 UTC
Done for perl-Test-Needs (admin level).

Comment 3 Tom "spot" Callaway 2020-09-22 14:13:03 UTC
You're admin on perl-Clone.

(Perhaps this process would be easier to simply require "provenpackager" for people maintaining modules?)

Comment 4 Paul Howarth 2020-09-22 14:40:25 UTC
You now have admin access for perl-B-COW and perl-Test-Fatal.

Comment 5 Petr Pisar 2020-09-23 08:54:21 UTC
I updated the modulemd file. I added a missing _without_perl_Clone_enables_optional_test macro.

Comment 6 Petr Pisar 2020-09-23 09:02:36 UTC
I corrected perl-HTML-Parser group number. Please try the updated modulemd file.

Comment 7 Jitka Plesnikova 2020-09-23 11:26:31 UTC
Summary is Ok.
License is Ok.
Build and run-time dependencies are Ok.
The profiles and api are Ok.
The component list is Ok.

ppisar has commit rights for almost all components.
FIX: Wait for commit rights for perl-NTLM

I was able to run scratch build of the module successfully.

This module is in line with Module packaging guidelines.

Resolution:
Module APPROVED

Comment 8 Nick Bebout 2020-09-25 18:03:24 UTC
I gave ppisar admin on perl-NTLM

Comment 10 Gwyn Ciesla 2020-09-29 13:17:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/modules/perl-libwww-perl

Comment 12 Petr Pisar 2020-09-30 12:56:43 UTC
Thank you for the review, the permissions and the repository. I will close this report after setting up a default profile.


Note You need to log in before you can comment on or make changes to this bug.